CVE-2015-8932

Published: 31 December 2015

The compress_bidder_init function in archive_read_support_filter_compress.c in libarchive before 3.2.0 allows remote attackers to cause a denial of service (crash) via a crafted tar file, which triggers an invalid left shift.

Priority

Medium

CVSS 3 base score: 5.5

Status

Package Release Status
libarchive
Launchpad, Ubuntu, Debian
Upstream
Released (3.2.0-2)
Ubuntu 16.04 LTS (Xenial Xerus)
Released (3.1.2-11ubuntu0.16.04.2)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (3.1.2-7ubuntu2.3)
Patches:
Upstream: https://github.com/libarchive/libarchive/commit/f0b1dbbc325a2d922015eee402b72edd422cb9ea
Upstream: https://github.com/libarchive/libarchive/commit/55ce98e829eda3a4356c2be64a778d8740c2cf6c
Upstream: https://github.com/libarchive/libarchive/commit/618618c8a6be453f79e0bdbdeab6e1dd8bf429b3